curl --request GET \
--url https://api.leadping.ai/phone-numbers/{phoneNumberId}/warmupimport requests
url = "https://api.leadping.ai/phone-numbers/{phoneNumberId}/warmup"
response = requests.get(url)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/phone-numbers/{phoneNumberId}/warmup");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.leadping.ai/phone-numbers/{phoneNumberId}/warmup")
.asString();const options = {method: 'GET'};
fetch('https://api.leadping.ai/phone-numbers/{phoneNumberId}/warmup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/phone-numbers/{phoneNumberId}/warmup"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/phone-numbers/{phoneNumberId}/warmup",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"number": "<string>",
"messagesPossible": "<string>",
"callsPossible": "<string>",
"smsWarmup": {
"phoneNumberId": "<string>",
"phoneNumber": "<string>",
"healthScore": "<string>",
"progressPercent": "<string>",
"warmupEnabled": true,
"uiState": {
"tone": "<string>",
"description": "<string>"
}
},
"outboundCapacity": {
"capacityAvailable": true,
"phoneNumberId": "<string>",
"phoneNumber": "<string>",
"smsRemainingThisMinute": "<string>",
"smsUsedThisMinute": "<string>",
"smsLimitThisMinute": "<string>",
"smsMinutelyResetsAt": "2023-11-07T05:31:56Z",
"smsRemainingToday": "<string>",
"smsUsedToday": "<string>",
"smsLimitToday": "<string>",
"smsDailyResetsAt": "2023-11-07T05:31:56Z",
"smsRemainingThisHour": "<string>",
"smsUsedThisHour": "<string>",
"smsLimitThisHour": "<string>",
"smsHourlyResetsAt": "2023-11-07T05:31:56Z",
"voiceRemainingThisMinute": "<string>",
"voiceUsedThisMinute": "<string>",
"voiceLimitThisMinute": "<string>",
"voiceMinutelyResetsAt": "2023-11-07T05:31:56Z",
"voiceRemainingToday": "<string>",
"voiceUsedToday": "<string>",
"voiceLimitToday": "<string>",
"voiceDailyResetsAt": "2023-11-07T05:31:56Z",
"voiceRemainingThisHour": "<string>",
"voiceUsedThisHour": "<string>",
"voiceLimitThisHour": "<string>",
"voiceHourlyResetsAt": "2023-11-07T05:31:56Z"
},
"optOutMetrics": {
"windowDays": "<string>",
"windowStartedAt": "2023-11-07T05:31:56Z",
"distinctContactedCount": "<string>",
"optOutCount": "<string>",
"optOutRatePercent": "<string>"
},
"trafficMetrics": {
"windowDays": "<string>",
"windowStartedAt": "2023-11-07T05:31:56Z",
"smsSentCount": "<string>",
"smsFailedCount": "<string>",
"mmsSentCount": "<string>",
"mmsFailedCount": "<string>",
"callPlacedCount": "<string>",
"callFailedCount": "<string>",
"callConnectedCount": "<string>",
"callShortCount": "<string>",
"callInvalidNumberCount": "<string>",
"trend": [
{
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"smsSentCount": "<string>",
"smsFailedCount": "<string>",
"mmsSentCount": "<string>",
"mmsFailedCount": "<string>",
"callPlacedCount": "<string>",
"callFailedCount": "<string>"
}
]
},
"recentEvents": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"eventType": "<string>",
"direction": "<string>",
"fromPhoneNumber": "<string>",
"toPhoneNumber": "<string>",
"textPreview": "<string>",
"isOptOut": true
}
]
}{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}Get organization phone number warmup status
Returns warmup status for a phone number, including limits and recent events used for delivery pacing.
Path Parameters
The phone number identifier.
Query Parameters
The window days.
^-?(?:0|[1-9]\d*)$The start date.
The end date.
Response
Returns the phone number status response.
Response schema for the Leadping API phone number warmup status returned to authenticated clients.
E.164 phone number exposed by this phone number warmup status.
Indicates whether this phone number can currently send SMS messages.
^-?(?:0|[1-9]\d*)$Indicates whether this phone number can currently place outbound calls.
^-?(?:0|[1-9]\d*)$SMS warmup status for this phone number.
Show child attributes
Show child attributes
Current outbound SMS and voice capacity for this phone number.
Show child attributes
Show child attributes
Recent SMS opt-out metrics used to evaluate sender health and compliance risk.
Show child attributes
Show child attributes
Phone number traffic metrics for recent SMS and call activity.
Show child attributes
Show child attributes
Recent workflow events returned for timeline and troubleshooting.
Show child attributes
Show child attributes

